#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n;

    cin >> n;
    int a[n];

    int veciI[n];

    int poslednjaA = 0, poslednjaB = 0;

    for(int i = 0; i < n; i++)
    {
        cin >> a[i];

        if(i != 0 && a[i] < a[i - 1])
        {
            poslednjaA = poslednjaB;
            poslednjaB = i;
        }

        veciI[i] = poslednjaA;
    }

    int q;

    cin >> q;

    for(int i = 0; i < q; i++)
    {
        int li, lj;

        cin >> li >> lj;

        li--;
        lj--;

        if(li == lj)
            cout << "DA" << endl;
        else
        {
            if(veciI[lj] <= li)
                cout << "DA" << endl;
            else
                cout << "NE" << endl;
        }
    }

    return 0;
}